(function ($, window, document, undefined) {
    'use strict';
    
	jQuery(document).ready(function() {		

	  	// Parallax Background
	  	jQuery('.parallax-window').parallax;

	  	// Owl Carousel		
		jQuery("#ws-items-carousel").owlCarousel({
			items :4,		
			navigation : true
		});
		
		// Page Loader
	    jQuery("#preloader").delay(2000).fadeOut(500);       	
		 
		// Scroll Reveal
		window.sr = new scrollReveal();
		
		// Single product page input
		jQuery('.minus').click(function () {
			var $input = $(this).parent().find('input');
			var count = parseInt($input.val()) - 1;
			count = count < 1 ? 1 : count;
			$input.val(count);
			$input.change();
			return false;
		});
		jQuery('.plus').click(function () {
			var $input = $(this).parent().find('input');
			$input.val(parseInt($input.val()) + 1);
			$input.change();
			return false;
		});
	jQuery('.upsells').eq(1).remove();

	if (window.location.pathname.indexOf('fr') > -1) { 
jQuery('.upsells h2').text("Découvrez d'autres oeuvres");
   var biograph = '<li class="biography">Biographie</li>'; 
   var tabs =  '<li class="append-menu">Livraison</li>';
jQuery(".wc-tabs").append(biograph,tabs);
var shippingTab = "<div id='shippingTab'>The Wall livre des oeuvres, dans toute l'Europe, dans un délai de 14 jours. Les oeuvres sont assurées durant le transport, il n' y a donc aucun risque pour vous. Afin d'économiser les frais de livraison, il est également possible de choisir le retrait en galerie</div>";
  jQuery(".woocommerce-tabs").append(shippingTab); 
  jQuery(".single_add_to_cart_button").text("Acheter");
jQuery(".out-of-stock").text("Vendu");
jQuery(".single_add_to_cart_button").addClass("newStyle");

   }
/*  	if (window.location.pathname.indexOf('en') > -1) { 
 var tabs =  '<li class="append-menu">Shipping</li>';
 //var biograph = '<li class="biography">Biography</li>'; 
jQuery(".wc-tabs").append(biograph);


} */

if(window.location.pathname.indexOf('fr/cart/') > -1 ) {

$('thead th').eq(2).text('prix');
$('thead th').eq(3).text('Quantité').css('visibility','hidden');
$('thead th').eq(1).text('article');
$('#coupon_code').attr('placeholder','Code promo');
$(".ws-btn-border").eq(0).attr('value','Appliquer Coupon');
$(".ws-btn-border").eq(1).attr('value','recalculer');
$(".ws-btn-black").text('caisse');
$('.cart-subtotal th').text('Sous-Total');
$('.shipping th').text('livraison');

}




$("#galsearch").on("keyup", function() {
var g = $(this).val();
$(".vc_grid-item ").each( function() {
 if ($(this).text().search(new RegExp(g, "i")) < 0) {
                $(this).addClass('slow');
 $('.vc_grid-item').addClass('oh-la-la');
            // Show the list item if the phrase matches and increase the count by 1
            } else {
                $(this).removeClass('slow');
 $('.vc_grid-item').removeClass('oh-la-la');

                            }
});
});





jQuery(".append-menu").click(function(){
jQuery(this).addClass("active");	
jQuery("#shippingTab").slideDown();
jQuery("#tab-reviews,#bio-js,#desc-js").slideUp();
jQuery(".description_tab,.reviews_tab,.biography").removeClass("active");
});

jQuery(".description_tab").click(function(){
jQuery(this).addClass("active");	
jQuery("#shippingTab,#bio-js").slideUp();
jQuery("#tab-description, #desc-js").slideDown();
jQuery(".append-menu").removeClass("active");
});
        
jQuery(".reviews_tab").click(function(){
jQuery(this).addClass("active");	    
jQuery("#reviews").slideDown(); 
jQuery("#shippingTab,#bio-js,#desc-js").slideUp();
    
});

jQuery(".biography").click(function(){
jQuery(this).addClass("active");
jQuery("#tab-description,#bio-js").slideDown();
jQuery("#shippingTab,#reviews,#desc-js").slideUp();
jQuery(".description_tab,.reviews_tab,.append-menu").removeClass("active");
});
        
var morebuttons = " <ul id='birgarim'>" +
  '<li></li>'+
  '<li></li>'+
  '<li></li>'+"</ul>" ;       
        
jQuery('.images').append(morebuttons);
jQuery('#birgarim li').eq(0).addClass("first-li");
jQuery('#birgarim li').eq(1).addClass("second-li");
jQuery('#birgarim li').eq(2).addClass("third-li");

   
var makrImg = $("#certificate-div").html();
jQuery('.images img').addClass("magniflier");        
var mainImg = $(".woocommerce-main-image").html();  
        
var someOverlay = '<div id="some-overlay">'+
'<button></button>'+ makrImg+   
'</div>' ;
        
var someOverlay2 =  '<div id="some-overlay2">'+
'<button class="some-overlayBut"></button>'+mainImg+   
'</div>' ;
$
$("body").append(someOverlay);
$("body").append(someOverlay2);
        
        
 jQuery(".second-li").click(function() {
   $("#some-overlay2").fadeIn();
    $(".woocommerce-main-image img").addClass("zooMer"); 
});        
        
 $(".third-li,.first-li").click(function() {
$("#some-overlay").fadeIn();    
});
        
$("#some-overlay button,#some-overlay2 button").click(function() {
   $("#some-overlay,#some-overlay2").fadeOut();
    $("#birgarim").fadeIn();     

});

$('.nav-pills li').eq(0).text('Filtrer les oeuvres');
$("label[for='shipping_method_0_international_delivery']").text('From Paris 50,00€');
$('.shipping-calculator-form button').text('Destination cost'); 

var native_width = 0;
  var native_height = 0;
  var mouse = {x: 0, y: 0};
  var magnify;
  var cur_img;

  var ui = {
    magniflier: $('.magniflier')
  };

  // Add the magnifying glass
  if (ui.magniflier.length) {
    var div = document.createElement('div');
    div.setAttribute('class', 'glass');
    ui.glass = $(div);

    $('body').append(div);
  }

  
  // All the magnifying will happen on "mousemove"

  var mouseMove = function(e) {
    var $el = $(this);

    // Container offset relative to document
    var magnify_offset = cur_img.offset();

    // Mouse position relative to container
    // pageX/pageY - container's offsetLeft/offetTop
    mouse.x = e.pageX - magnify_offset.left;
    mouse.y = e.pageY - magnify_offset.top;
    
    // The Magnifying glass should only show up when the mouse is inside
    // It is important to note that attaching mouseout and then hiding
    // the glass wont work cuz mouse will never be out due to the glass
    // being inside the parent and having a higher z-index (positioned above)
    if (
      mouse.x < cur_img.width() &&
      mouse.y < cur_img.height() &&
      mouse.x > 0 &&
      mouse.y > 0
      ) {

      magnify(e);
    }
    else {
      ui.glass.fadeOut(100);
    }

    return;
  };

  var magnify = function(e) {

    // The background position of div.glass will be
    // changed according to the position
    // of the mouse over the img.magniflier
    //
    // So we will get the ratio of the pixel
    // under the mouse with respect
    // to the image and use that to position the
    // large image inside the magnifying glass

    var rx = Math.round(mouse.x/cur_img.width()*native_width - ui.glass.width()/2)*-1;
    var ry = Math.round(mouse.y/cur_img.height()*native_height - ui.glass.height()/2)*-1;
    var bg_pos = rx + "px " + ry + "px";
    
    // Calculate pos for magnifying glass
    //
    // Easy Logic: Deduct half of width/height
    // from mouse pos.

    // var glass_left = mouse.x - ui.glass.width() / 2;
    // var glass_top  = mouse.y - ui.glass.height() / 2;
    var glass_left = e.pageX - ui.glass.width() / 2;
    var glass_top  = e.pageY - ui.glass.height() / 2;
    //console.log(glass_left, glass_top, bg_pos)
    // Now, if you hover on the image, you should
    // see the magnifying glass in action
    ui.glass.css({
      left: glass_left,
      top: glass_top,
      backgroundPosition: bg_pos
    });

    return;
  };

  $('.magniflier').on('mousemove', function() {
    ui.glass.fadeIn(100);
    
    cur_img = $(this);

    var large_img_loaded = cur_img.data('large-img-loaded');
    var src = cur_img.data('large') || cur_img.attr('src');

    // Set large-img-loaded to true
    // cur_img.data('large-img-loaded', true)

    if (src) {
      ui.glass.css({
        'background-image': 'url(' + src + ')',
        'background-repeat': 'no-repeat'
      });
    }

    // When the user hovers on the image, the script will first calculate
    // the native dimensions if they don't exist. Only after the native dimensions
    // are available, the script will show the zoomed version.
    //if(!native_width && !native_height) {

      if (!cur_img.data('native_width')) {
        // This will create a new image object with the same image as that in .small
        // We cannot directly get the dimensions from .small because of the 
        // width specified to 200px in the html. To get the actual dimensions we have
        // created this image object.
        var image_object = new Image();

        image_object.onload = function() {
          // This code is wrapped in the .load function which is important.
          // width and height of the object would return 0 if accessed before 
          // the image gets loaded.
          native_width = image_object.width;
          native_height = image_object.height;

          cur_img.data('native_width', native_width);
          cur_img.data('native_height', native_height);

          //console.log(native_width, native_height);

          mouseMove.apply(this, arguments);

          ui.glass.on('mousemove', mouseMove);
        };


        image_object.src = src;
        
        return;
      } else {

        native_width = cur_img.data('native_width');
        native_height = cur_img.data('native_height');
      }
    //}
    //console.log(native_width, native_height);

    mouseMove.apply(this, arguments);

    ui.glass.on('mousemove', mouseMove);
  });

 


    
    
    
    
    
    
    });



})(jQuery, window, document);